#!/usr/bin/python

"""
This script runs on all the newly spawned C-Level servers. It reads
/var/TKLC/cloud/scaledSiteTopoConfig.xml file and picks up the correct xml(depending on the hostname) 
blob and copies it to /var/TKLC/cloud/siteTopoConfig.xml inorder to run the bulkLoad python module. 
"""

import sys,getopt
import socket
def main(argv):

  lookup = socket.gethostname()
  sourcefile = "/var/TKLC/cloud/scaledSiteTopoConfig.xml"
  destfile = "/var/TKLC/cloud/siteTopoConfig.xml"
  
  # Replace the delimiter with new line
  s = open(sourcefile).read()
  s = s.replace('</node>', '\n')
  s = s.replace('<node>', '')
  f = open(sourcefile, 'w')
  f.write(s)
  f.close()
  
  # Search for the required XML line and write it to a new file
  with open(sourcefile) as myFile:
     for num, line in enumerate(myFile, 1):
        if lookup in line:
            f = open(destfile, 'w')
            f.write(line.rstrip())
            f.close()
            print "Write siteTopoConfig.xml Complete"
            break

if __name__ == "__main__":
   main(sys.argv[1:])
